Subject: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent directory

From: Glenn Morris <[email-masked]>
Date: Sun, 21 Mar 2021 13:17:31 -0400

Andrea Corallo wrote:

> Okay af739863b0 when running the testsuite is adding in front of
> `comp-eln-load-path' a temporary directory such that now all native
> compilations tests are deposed and loaded there.  Does is look like a
> good solution?

Hard-coding a check in startup.el based on a setting for HOME that
happens to be used by the test-suite doesn't look like a good solution
to me. I'm not familiar with the native compilation branch, so I won't
try to suggest an alternative. Also, the Emacs tests generally try to
clean up when they exit, and it looks like nothing ever deletes this
temporary directory?